Edit file with string replacement
curl --request PUT \
--url https://api.openfiles.ai/functions/v1/api/files/edit/{path} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"oldString": "<string>",
"newString": "<string>"
}
'import requests
url = "https://api.openfiles.ai/functions/v1/api/files/edit/{path}"
payload = {
"oldString": "<string>",
"newString": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({oldString: '<string>', newString: '<string>'})
};
fetch('https://api.openfiles.ai/functions/v1/api/files/edit/{path}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "<string>",
"version": 2,
"mimeType": "<string>",
"size": 1,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"operation": "write_file",
"message": "File created successfully, version 1"
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
},
"operation": "<string>",
"details": {}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
},
"operation": "<string>",
"details": {}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
},
"operation": "<string>",
"details": {}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
},
"operation": "<string>",
"details": {}
}Files
Edit file with string replacement
Edit file content by replacing old string with new string
PUT
/
files
/
edit
/
{path}
Edit file with string replacement
Authorizations
API key for authentication. Get your API key from the console.
Path Parameters
File path (S3-style, no leading slash)
Body
application/json
⌘I